---
title: "List policies attached to role"
url: https://hexelstudio.com/docs/api/ciam-iam/roles/policies
---

# List policies attached to role

**GET** `/roles/{role_id}/policies`

## Path parameters

- `role_id: string`

  Role ID

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`array of PolicyAttachment`)

- `attached_at: optional string`

- `attached_by_user_id: optional string`

- `id: optional string`

- `organization_id: optional string`

- `policy_id: optional string`

- `target_id: optional string`

- `target_type: optional string`

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/roles/{role_id}/policies' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
[
  {
    "attached_at": "2026-01-01T00:00:00Z",
    "attached_by_user_id": "string",
    "id": "string",
    "organization_id": "string",
    "policy_id": "string",
    "target_id": "string",
    "target_type": "string"
  }
]
```
